import { SecureBucket, SecureBucketProps } from '@gammarers/aws-secure-bucket';
import { Construct } from 'constructs';
export interface TransitionStep {
    readonly enabled?: boolean;
    readonly days?: number;
}
export interface LifecycleStorageClassTransition {
    readonly transitionStepInfrequentAccess?: TransitionStep;
    readonly transitionStepGlacier?: TransitionStep;
    readonly transitionStepDeepArchive?: TransitionStep;
}
export interface SecureLogBucketProps extends SecureBucketProps {
    readonly lifecycleStorageClassTransition?: LifecycleStorageClassTransition;
}
export declare class SecureLogBucket extends SecureBucket {
    constructor(scope: Construct, id: string, props?: SecureLogBucketProps);
}
